Bug 176277 - 20051219 and 20051220 rawhide hang on x86_64
20051219 and 20051220 rawhide hang on x86_64
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-12-20 14:46 EST by David Cantrell
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-11 10:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2005-12-20 14:46:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
Doing a fresh install of 20051220 rawhide and the loader on the installer crashes when loading USB and Firewire modules.  Screen turns to garbage, X does start, but anaconda displays a warning about having no disks.  Mouse and keyboard (both USB) don't work.

Back up a day and do an install of the 20051219 rawhide.  Anaconda runs fine and the system is installed.  On reboot, device-mapper does some stuff and then I see a line for kjournald and then:

EXT3-fs: mounted filesystem with ordered data mode.
Kernel panic - not syncing: Attempted to kill init!

Call Trace:<ffffffff8013906a>{panic+134} <ffffffff802083d3>{__up_read+19}
       <ffffffff80187339>{__fput+335} <ffffffff8034167c>{_spin_unlock_irq+6}
       <ffffffff80341045>{__down_read+52} <ffffffff803416be>{_spin_lock_irqsave+9}
       <ffffffff802083d3>{__up_read+19} <ffffffff8013c79b>{do_exit+146}
       <ffffffff8013d401>{sys_exit_group+0} <ffffffff8010f8ca>{system_call+126}

The kernel version is 2.6.14-1.1773_FC5

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot Dec 20th or 19th rawhide installer.
3.See crash.

Actual Results:  Kernel failure.

Expected Results:  Kernel nonfailure.

Additional info:
Comment 1 David Cantrell 2005-12-21 14:46:31 EST
Some more info on this problem.  The failure happens when the loader tries
probing for storage devices.  That uses kudzu somehow and I'm not quite familiar
with the interaction there.  But, there is a module in the 'storage' category
that's causing this problem.
Comment 2 David Cantrell 2005-12-21 15:30:35 EST
Even more updates....changed the SATA controller mode in the BIOS from
"enhanced" (whatever that means) to AHCI and it's working fine.

On another note...keyboard wouldn't work unless I disabled USB 2.0 support in
the BIOS.  Haven't checked to see if there are other bug reports for this, but I
seem to remember something on fedora mailing lists or IRC about USB 2.0 on x86_64.
Comment 3 Dave Jones 2005-12-23 14:13:03 EST
the 178x kernels revert some broken acpi changes, which broke booting for a
bunch of folks. can you retry with the latest rawhide ?
Comment 4 David Cantrell 2006-01-11 10:02:06 EST
Late followup.  Yeah, rawhide trees after Christmas are working fine for me.

Note You need to log in before you can comment on or make changes to this bug.